package com.ruoyi.syzy.service;

import java.util.List;
import com.ruoyi.syzy.domain.BBusiSyghVideo;
import org.apache.ibatis.annotations.Param;

/**
 * 生涯课程Service接口
 * 
 * @author mingxue
 * @date 2021-07-25
 */
public interface IBBusiSyghVideoService {
    /**
     * 查询生涯课程
     * 
     * @param id 生涯课程ID
     * @return 生涯课程
     */
    public BBusiSyghVideo selectBBusiSyghVideoById(Long id);

    public List<BBusiSyghVideo> subjectNames();

    public List<BBusiSyghVideo> knowledgeNames(Integer subjectName);

    /**
     * 查询生涯课程列表
     * 
     * @param bBusiSyghVideo 生涯课程
     * @return 生涯课程集合
     */
    public List<BBusiSyghVideo> selectBBusiSyghVideoList(BBusiSyghVideo bBusiSyghVideo);

    /**
     * 新增生涯课程
     * 
     * @param bBusiSyghVideo 生涯课程
     * @return 结果
     */
    public int insertBBusiSyghVideo(BBusiSyghVideo bBusiSyghVideo);

    /**
     * 修改生涯课程
     * 
     * @param bBusiSyghVideo 生涯课程
     * @return 结果
     */
    public int updateBBusiSyghVideo(BBusiSyghVideo bBusiSyghVideo);

    /**
     * 批量删除生涯课程
     * 
     * @param ids 需要删除的生涯课程ID
     * @return 结果
     */
    public int deleteBBusiSyghVideoByIds(Long[] ids);

    /**
     * 删除生涯课程信息
     * 
     * @param id 生涯课程ID
     * @return 结果
     */
    public int deleteBBusiSyghVideoById(Long id);
}
